package com.sinosig.core.client.model;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigDecimal;
import java.math.BigInteger;

/**
 * Client 实体 [CPXH] 对象
 */
public interface ICPXH {

    /**
     * 获取 [AB类]
     */
    public void setABL(String aBL);
    
    /**
     * 设置 [AB类]
     */
    public String getABL();

    /**
     * 获取 [AB类]脏标记
     */
    public boolean getABLDirtyFlag();
    /**
     * 获取 [AB类]
     */
    public void setCLLXMS(String cLLXMS);
    
    /**
     * 设置 [AB类]
     */
    public String getCLLXMS();

    /**
     * 获取 [AB类]脏标记
     */
    public boolean getCLLXMSDirtyFlag();
    /**
     * 获取 []
     */
    public void setCLSJJZ(BigDecimal cLSJJZ);
    
    /**
     * 设置 []
     */
    public BigDecimal getCLSJJZ();

    /**
     * 获取 []脏标记
     */
    public boolean getCLSJJZDirtyFlag();
    /**
     * 获取 [标识]
     */
    public void setCPXHID(String cPXHID);
    
    /**
     * 设置 [标识]
     */
    public String getCPXHID();

    /**
     * 获取 [标识]脏标记
     */
    public boolean getCPXHIDDirtyFlag();
    /**
     * 获取 [标识]
     */
    public void setCPXHName(String cPXHName);
    
    /**
     * 设置 [标识]
     */
    public String getCPXHName();

    /**
     * 获取 [标识]脏标记
     */
    public boolean getCPXHNameDirtyFlag();
    /**
     * 获取 [AB类]
     */
    public void setDYCPXH(String dYCPXH);
    
    /**
     * 设置 [AB类]
     */
    public String getDYCPXH();

    /**
     * 获取 [AB类]脏标记
     */
    public boolean getDYCPXHDirtyFlag();
    /**
     * 获取 []
     */
    public void setGL(Double gL);
    
    /**
     * 设置 []
     */
    public Double getGL();

    /**
     * 获取 []脏标记
     */
    public boolean getGLDirtyFlag();
    /**
     * 获取 []
     */
    public void setHDZK(Integer hDZK);
    
    /**
     * 设置 []
     */
    public Integer getHDZK();

    /**
     * 获取 []脏标记
     */
    public boolean getHDZKDirtyFlag();
    /**
     * 获取 []
     */
    public void setHDZZL(Double hDZZL);
    
    /**
     * 设置 []
     */
    public Double getHDZZL();

    /**
     * 获取 []脏标记
     */
    public boolean getHDZZLDirtyFlag();
    /**
     * 获取 []
     */
    public void setPL(Double pL);
    
    /**
     * 设置 []
     */
    public Double getPL();

    /**
     * 获取 []脏标记
     */
    public boolean getPLDirtyFlag();
    /**
     * 获取 []
     */
    public void setXCGZJ(BigDecimal xCGZJ);
    
    /**
     * 设置 []
     */
    public BigDecimal getXCGZJ();

    /**
     * 获取 []脏标记
     */
    public boolean getXCGZJDirtyFlag();
    /**
     * 获取 []
     */
    public void setZBZL(Double zBZL);
    
    /**
     * 设置 []
     */
    public Double getZBZL();

    /**
     * 获取 []脏标记
     */
    public boolean getZBZLDirtyFlag();
}
